# Draw_DC_XXX_Polytriangles

## Functions

void | `HIC_Draw_DC_Polytriangle`
void | `HIC_Draw_DC_Colorized_Polytriangle`
void | `HIC_Draw_DC_Gouraud_Polytriangle`
void | `HIC_Draw_DC_Phong_Polytriangle`
void | `HIC_Draw_DC_Textured_Polytriangle`

## Detailed Description

group Draw_DC_XXX_Polytriangles

## Function Documentation

void HIC_Draw_DC_Polytriangle(HIC_Rendition *nr, int count, HIC_DC_Point points[])

  This function draws a polytriangle.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

void HIC_Draw_DC_Colorized_Polytriangle(HIC_Rendition *nr, int count, HIC_DC_Point points[], HIC_RGBAS32 color[], int single)

  This function draws a polytriangle using passed in color values instead of the rendition colors.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

    - color – A pointer to a const HIC_RGBAS32.

    - single – A boolean.

void HIC_Draw_DC_Gouraud_Polytriangle(HIC_Rendition *nr, int count, HIC_DC_Point points[], HIC_RGBAS32 colors[])

  This function draws a gouraud polytriangle.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

    - colors – A pointer to a const HIC_RGBAS32.

void HIC_Draw_DC_Phong_Polytriangle(HIC_Rendition *nr, int count, HIC_DC_Point points[], HIC_RGBA colors[], HIC_Plane planes[], HIC_DPlane dplanes[], HIC_Point worlds[], HIC_DPoint dworlds[])

  This function draws a phong polytriangle.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

    - colors – A pointer to a const HIC_RGBA.

    - planes – An pointer to a const HIC_Plane.

void HIC_Draw_DC_Textured_Polytriangle(HIC_Rendition *nr, int count, HIC_DC_Point points[], HIC_RGBA colors[], HIC_Plane planes[], HIC_DPlane dplanes[], HIC_Point worlds[], HIC_DPoint dworlds[], float params[], int param_width, HIC_Integer32 param_flags, float params_alt[], int param_alt_width, HIC_Integer32 param_alt_flags)

  This function draws a textured polytriangle.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - count – An int.

    - points – An array of const HIC_DC_Point.

    - colors – A pointer to a const HIC_RGBA.

    - planes – A pointer to a const HIC_Plane.

    - params – A pointer to a const float.

    - param_width – An int.

    - param_flags – A HIC_Integer32.